class ModalCollection {
  createOverlay: CreateOverlayModal;
  cancel: CancelModal;
  okCancel: OKCancelModal;
  info: InfoModal;
  
  constructor(
    createOverlay: CreateOverlayModal,
    cancel: CancelModal,
    okCancel: OKCancelModal,
    info: InfoModal
  ) {
    this.createOverlay = createOverlay;
    this.cancel = cancel;
    this.okCancel = okCancel;
    this.info = info;
  }
  
  closeAll(): void {
    this.createOverlay.setVisible(false);
    this.cancel.setVisible(false);
    this.okCancel.setVisible(false);
  }
}